package main

import (
	"fmt"
	"time"
)

// section: main
func main() {
	now := time.Now()
	defer fmt.Printf("time since program started: %s\n", time.Since(now))

	fmt.Println("sleeping for 2 seconds...")
	time.Sleep(2 * time.Second)
}

// section: main

/*
// section: output
sleeping for 2 seconds...
time since program started: 157ns
// section: output
*/
